path: /build/build/gn-dev-util-0.2161.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-util/gn -pv -t && \
    emerge -j ${JOBS} --nodeps dev-util/gn
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gn && luet-portage --dir /pkgdir/gn
    dev-util/gn && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8391c8a4c6846adbb221db844f825ae7401fa68e59abcc637157c26e59f3d8a7
  package:
    name: gn
    version: "0.2161"
    category: dev-util
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GN is a meta-build system that generates build files for Ninja
    uri:
    - https://gn.googlesource.com/
    license: BSD
    buildtimestamp: 2024-04-20 08:05:28.723415524 +0000 UTC m=+248.555113275
    labels:
      BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
        ) dev-util/ninja'
      emerge.packages: dev-util/gn
      kit: dev-kit
      original.package.name: dev-util/gn
      original.package.slot: "0"
      original.package.version: "0.2161"
    treedir: /build/packages
  package_dir: /pkgdir/gn
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 39209502f48103bb75339c6203309c36aac75aaa5928d054eb6a18b4d411dbbd
compressiontype: zstd
files:
- usr/bin/gn
- usr/share/doc/gn-0.2161/AUTHORS.bz2
- usr/share/doc/gn-0.2161/README.md.bz2
- usr/share/vim/vimfiles/autoload/gn.vim
- usr/share/vim/vimfiles/ftdetect/gnfiletype.vim
- usr/share/vim/vimfiles/ftplugin/gn.vim
- usr/share/vim/vimfiles/syntax/gn.vim
- var/db/pkg/dev-util/gn-0.2161/BDEPEND
- var/db/pkg/dev-util/gn-0.2161/BUILD_TIME
- var/db/pkg/dev-util/gn-0.2161/CATEGORY
- var/db/pkg/dev-util/gn-0.2161/CBUILD
- var/db/pkg/dev-util/gn-0.2161/CC
- var/db/pkg/dev-util/gn-0.2161/CFLAGS
- var/db/pkg/dev-util/gn-0.2161/CHOST
- var/db/pkg/dev-util/gn-0.2161/CONTENTS
- var/db/pkg/dev-util/gn-0.2161/COUNTER
- var/db/pkg/dev-util/gn-0.2161/CXXFLAGS
- var/db/pkg/dev-util/gn-0.2161/DEFINED_PHASES
- var/db/pkg/dev-util/gn-0.2161/DESCRIPTION
- var/db/pkg/dev-util/gn-0.2161/EAPI
- var/db/pkg/dev-util/gn-0.2161/FEATURES
- var/db/pkg/dev-util/gn-0.2161/HOMEPAGE
- var/db/pkg/dev-util/gn-0.2161/INHERITED
- var/db/pkg/dev-util/gn-0.2161/IUSE
- var/db/pkg/dev-util/gn-0.2161/IUSE_EFFECTIVE
- var/db/pkg/dev-util/gn-0.2161/KEYWORDS
- var/db/pkg/dev-util/gn-0.2161/LDFLAGS
- var/db/pkg/dev-util/gn-0.2161/LICENSE
- var/db/pkg/dev-util/gn-0.2161/NEEDED
- var/db/pkg/dev-util/gn-0.2161/PF
- var/db/pkg/dev-util/gn-0.2161/REQUIRES
- var/db/pkg/dev-util/gn-0.2161/SIZE
- var/db/pkg/dev-util/gn-0.2161/SLOT
- var/db/pkg/dev-util/gn-0.2161/USE
- var/db/pkg/dev-util/gn-0.2161/environment.bz2
- var/db/pkg/dev-util/gn-0.2161/gn-0.2161.ebuild
- var/db/pkg/dev-util/gn-0.2161/repository
package_cacheimage: ""
runtime:
  name: gn
  version: "0.2161"
  category: dev-util
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GN is a meta-build system that generates build files for Ninja
  uri:
  - https://gn.googlesource.com/
  license: BSD
  labels:
    BDEPEND: '|| ( dev-lang/python:3.8 dev-lang/python:3.9 dev-lang/python:3.7 dev-lang/python:3.10
      ) dev-util/ninja'
    emerge.packages: dev-util/gn
    kit: dev-kit
    original.package.name: dev-util/gn
    original.package.slot: "0"
    original.package.version: "0.2161"
